## starfighter 1.4

=== Makefile ===
CXXFLAGS ?= -O2 -Wall -g
CXXFLAGS += `pkg-config --cflags sdl2 SDL2_image SDL2_mixer`
LIBS = `pkg-config --libs sdl2 SDL2_image SDL2_mixer`
OBJS = alien.o audio.o bullet.o cargo.o collectable.o engine.o explosion.o game.o graphics.o init.o intermission.o loadSave.o messages.o misc.o missions.o player.o resources.o script.o ship.o shop.o Starfighter.o title.o weapons.o

VERSION = 1.4
PROG = starfighter
DOCS = docs/*
DATA = data gfx sound music
DATAFILES = data/* gfx/* sound/* music/*

PREFIX ?= /usr
BINDIR ?= $(PREFIX)/games/
DATADIR ?= $(PREFIX)/share/games/parallelrealities/
DOCDIR ?= $(PREFIX)/share/doc/$(PROG)/

# top-level rule to create the program.
ALL = $(PROG)

all: $(ALL)

# compiling other source files.
%.o: src/%.cpp src/*.h
	$(CXX) $(CXXFLAGS) -c -DVERSION=\"$(VERSION)\" -DDATADIR=\"$(DATADIR)\" $<

# linking the program.
$(PROG): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG) $(LIBS)

# cleaning everything that can be automatically recreated with "make".
clean:
	$(RM) $(OBJS) $(ALL)

# install
install: $(ALL)
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(DATADIR)
	mkdir -p $(DESTDIR)$(DOCDIR)

	install -m 755 $(PROG) $(DESTDIR)$(BINDIR)$(PROG)
	cp -pr $(DATA) $(DESTDIR)$(DATADIR)
	cp -p $(DOCS) $(DESTDIR)$(DOCDIR)

optimise:
	advpng -z gfx/*.png
	jpegoptim --strip-all gfx/*.jpg

dist:
	rm -rf starfighter-$(VERSION)
	mkdir starfighter-$(VERSION)
	cp --parents -lt starfighter-$(VERSION) `git ls-files`
	git log >starfighter-$(VERSION)/ChangeLog
	tar czf starfighter-$(VERSION).tar.gz starfighter-$(VERSION)
	rm -rf starfighter-$(VERSION)

.PHONY: all clean install optimise dist

## starfighter 1.2

=== debian/changelog ===
starfighter (1.2-2) unstable; urgency=low

  * Include a full copy of the CC-BY and CC-BY-SA 3.0 license texts.

 -- Guus Sliepen <guus@debian.org>  Sun, 04 Mar 2012 15:38:28 +0100

starfighter (1.2-1) unstable; urgency=low

  * New upstream release.
    - DFSG-compatible graphics and sounds.
    - Music has been removed.

 -- Guus Sliepen <guus@debian.org>  Sun, 26 Feb 2012 23:16:58 +0100

starfighter (1.1-7) unstable; urgency=low

  [ Eddy Petrișor ]
  * fix Homepage semifield

  [ Gonéri Le Bouder ]
  * update 10_nobusyloop.diff to fix the build with gcc 4.2
    thanks Brian m. Carlson and Jens Seidel(Closes: #385714)
  * make the package binNMU by replace starfighter-data (= ${Source-Version})
    by starfighter-data (= ${source:Version}), thanks Lior Kaplan
    (Closes: #435958)
  * make clean removes the starfighter binary to be able to do two builds in a
    row (Closes: #424236)
  * do not ignore make clean returned value anymore
  * add myself in Uploaders:
  * remove quilt .pc directory
  * remove some useless debhelper call

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu policy transition.
    Thanks Linas Žvirblis.

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 22 Sep 2007 10:27:49 +0000

starfighter (1.1-6) unstable; urgency=low

  * debian/patches/01_makefile.diff:
    + Properly honour DEB_BUILD_OPTIONS.

  * debian/patches/10_sigfpe.diff:
    + New patch. Fix a SIGFPE occurring with slow projectiles (Closes: #254117,
      Closes: #372924).

  * debian/patches/10_overflows.diff:
    + New patch. Fix overflows in weapon count operations (Closes: #286934).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 22 Jun 2006 14:55:16 +0200

starfighter (1.1-5) unstable; urgency=low

  * debian/control:
    + I said I added a build-depend on python, but I lied (Closes: #373852).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 18 Jun 2006 18:35:24 +0200

starfighter (1.1-4) unstable; urgency=low

  * Adopted package and moved it to the Debian Games Team repository.
  * Set Bartosz Fenski, Alexander Schmehl and myself as uploaders.
  * Moved patch system to quilt.

  * debian/control:
    + Set policy to 3.7.2.
    + Build-depend on quilt instead of dpatch.
    + Build-depend on python because we unpack the .pak file in order to
      fix the errors in it.

  * debian/starfighter.xpm:
    + Created an icon and added it to the menu (Closes: #319194).

  * debian/starfighter.6:
    + Renamed starfighter.1 into starfighter.6.

  * debian/patches/01_makefile.diff:
    + Install the patched .pak file instead of the original one.

  * debian/patches/10_nobusyloop.diff:
    + New patch from Guus Sliepen. Use SDL_Delay() instead of busy loops to
      reduce CPU usage (Closes: #366029).

  * debian/patches/30_typos.diff:
    + Fixed typos in the documentation and in the in-game messages
      (Closes: #266588, #267103, #372925).

  * debian/pack.py debian/unpack.py:
    + New patch. Include scripts courtesy of Josh Triplett to pack/unpack
      data files and ship them with the -data package (Closes: #358706).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Jun 2006 19:22:30 +0200

starfighter (1.1-3) unstable; urgency=low

  * rewritten description of documentation (Closes: #296671)
    Thanks to Pierre Thierry for spotting this.
  * debian/starfighter.menu:
    - added longtitle
  * s/fenio@o2.pl/fenio@debian.org/

 -- Bartosz Fenski <fenio@debian.org>  Sat, 26 Feb 2005 14:26:12 +0100

starfighter (1.1-2) unstable; urgency=low

  * debian/control:
    - iteration of features has been adjusted to disallow line wraping.
      Thanks to Enrico Zini for pointing it out to me. (Closes: #253820)
    - removed unused ${misc:Depends} variable
    - we're now using ${Source-Version} for dependency
  * debian/rules:
    - binary targets has been splitted to indep and arch sections.

 -- Bartosz Fenski <fenio@o2.pl>  Fri, 11 Jun 2004 13:12:17 +0200

starfighter (1.1-1) unstable; urgency=low

  * Initial Release. (Closes: #243010)

 -- Bartosz Fenski <fenio@o2.pl>  Sun, 11 Apr 2004 13:18:14 +0200

=== debian/control ===
Source: starfighter
Section: games
Priority: extra
Maintainer: Guus Sliepen <guus@debian.org>
Build-Depends: debhelper (>= 8.0.0), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/pr-starfighter/

Package: starfighter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, starfighter-data (= ${source:Version})
Description: 2D scrolling shooter game
 After decades of war one company, who had gained powerful supplying both
 sides with weaponary, steps forwards and crushes both warring factions
 in one swift movement. Using far superior weaponary and AI craft, the
 company was completely unstoppable and now no one can stand in their
 way. Thousands began to perish under the iron fist of the company. The
 people cried out for a saviour, for someone to light this dark hour...
 and someone did.
 .
 Features of the game:
 .
  o 26 missions over 4 star systems
  o Primary and Secondary Weapons (including a laser cannon and a charge weapon)
  o A weapon powerup system
  o Wingmates
  o Missions with Primary and Secondary Objectives
  o A Variety of Missions (Protect, Destroy, etc)
  o Boss battles

Package: starfighter-data
Architecture: all
Depends: ${misc:Depends}
Description: 2D scrolling shooter game -- data files
 After decades of war one company, who had gained powerful supplying both
 sides with weaponary, steps forwards and crushes both warring factions
 in one swift movement. Using far superior weaponary and AI craft, the
 company was completely unstoppable and now no one can stand in their
 way. Thousands began to perish under the iron fist of the company. The
 people cried out for a saviour, for someone to light this dark hour...
 and someone did.
 .
 Features of the game:
 .
  o 26 missions over 4 star systems
  o Primary and Secondary Weapons (including a laser cannon and a charge weapon)
  o A weapon powerup system
  o Wingmates
  o Missions with Primary and Secondary Objectives
  o A Variety of Missions (Protect, Destroy, etc)
  o Boss battles
 .
 This package contains the data files for starfighter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	USEPACK=0 DATADIR=/usr/share/starfighter/ dh_auto_build

override_dh_auto_install:
	USEPACK=0 DATADIR=/usr/share/starfighter/ dh_auto_install

## starfighter 1.4

=== debian/changelog ===
starfighter (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Updated debian/watch file.
  * Drop debian/patches/install-music, which has been applied upstream.

 -- Guus Sliepen <guus@debian.org>  Sat, 04 Jul 2015 23:22:13 +0200

starfighter (1.3.1-1) unstable; urgency=medium

  * New upstream release from http://starfighter.nongnu.org/.
  * Bump Standards-Version and debian/compat.
  * Enable parallel builds.
  * Update debian/copyright.
  * Switch to SDL2.
  * Ensure the new DFSG-compliant music is installed.
  * Added a debian/watch file.

 -- Guus Sliepen <guus@debian.org>  Mon, 20 Apr 2015 18:21:49 +0200

## starfighter 1.5.1.1

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,22 @@
 CXXFLAGS ?= -O2 -Wall -g
 CXXFLAGS += `pkg-config --cflags sdl2 SDL2_image SDL2_mixer`
 LIBS = `pkg-config --libs sdl2 SDL2_image SDL2_mixer`
-OBJS = alien.o audio.o bullet.o cargo.o collectable.o engine.o explosion.o game.o graphics.o init.o intermission.o loadSave.o messages.o misc.o missions.o player.o resources.o script.o ship.o shop.o Starfighter.o title.o weapons.o
+OBJS = alien.o audio.o bullet.o cargo.o collectable.o colors.o cutscene.o engine.o event.o explosion.o game.o gfx.o intermission.o loadSave.o messages.o misc.o missions.o player.o renderer.o resources.o screen.o ship.o shop.o Starfighter.o title.o weapons.o window.o
 
-VERSION = 1.4
+VERSION = 1.5.1
 PROG = starfighter
 DOCS = docs/*
 DATA = data gfx sound music
 DATAFILES = data/* gfx/* sound/* music/*
+LAUNCHER = misc/starfighter.desktop
+ICON = misc/starfighter.png
 
 PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/games/
 DATADIR ?= $(PREFIX)/share/games/parallelrealities/
 DOCDIR ?= $(PREFIX)/share/doc/$(PROG)/
+MENUDIR ?= $(PREFIX)/share/applications/
+ICONDIR ?= $(PREFIX)/share/pixmaps/
 
 # top-level rule to create the program.
 ALL = $(PROG)
@@ -36,10 +40,14 @@
 	mkdir -p $(DESTDIR)$(BINDIR)
 	mkdir -p $(DESTDIR)$(DATADIR)
 	mkdir -p $(DESTDIR)$(DOCDIR)
+	mkdir -p $(DESTDIR)$(MENUDIR)
+	mkdir -p $(DESTDIR)$(ICONDIR)
 
 	install -m 755 $(PROG) $(DESTDIR)$(BINDIR)$(PROG)
-	cp -pr $(DATA) $(DESTDIR)$(DATADIR)
-	cp -p $(DOCS) $(DESTDIR)$(DOCDIR)
+	cp -r $(DATA) $(DESTDIR)$(DATADIR)
+	cp $(DOCS) $(DESTDIR)$(DOCDIR)
+	install -m 644 $(LAUNCHER) $(DESTDIR)$(MENUDIR)
+	install -m 644 $(ICON) $(DESTDIR)$(ICONDIR)
 
 optimise:
 	advpng -z gfx/*.png

=== debian/changelog ===
starfighter (1.5.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Provides a .desktop file. Closes: #738033

 -- Guus Sliepen <guus@debian.org>  Sun, 24 Jan 2016 23:07:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: games
 Priority: extra
 Maintainer: Guus Sliepen <guus@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev
-Standards-Version: 3.9.3
-Homepage: http://sourceforge.net/projects/pr-starfighter/
+Build-Depends: debhelper (>= 9.0.0), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev
+Standards-Version: 3.9.6
+Homepage: http://starfighter.nongnu.org/
 
 Package: starfighter
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_build:
 	USEPACK=0 DATADIR=/usr/share/starfighter/ dh_auto_build

## starfighter 1.6

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 LIBS = `pkg-config --libs sdl2 SDL2_image SDL2_mixer`
 OBJS = alien.o audio.o bullet.o cargo.o collectable.o colors.o cutscene.o engine.o event.o explosion.o game.o gfx.o intermission.o loadSave.o messages.o misc.o missions.o player.o renderer.o resources.o screen.o ship.o shop.o Starfighter.o title.o weapons.o window.o
 
-VERSION = 1.5.1
+VERSION = 1.6
 PROG = starfighter
 DOCS = docs/*
 DATA = data gfx sound music

=== debian/changelog ===
starfighter (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Wed, 24 Aug 2016 23:30:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Guus Sliepen <guus@debian.org>
 Build-Depends: debhelper (>= 9.0.0), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://starfighter.nongnu.org/
 
 Package: starfighter

## starfighter 1.7

=== debian/changelog ===
starfighter (1.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version and debian/compat.
  * Add Rules-Requires-Root: no.
  * Set package priority to optional.
  * Fix some spelling errors.
  * Fix warnings given by GCC.

 -- Guus Sliepen <guus@debian.org>  Sun, 21 Jan 2018 23:20:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: starfighter
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Guus Sliepen <guus@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev
+Standards-Version: 4.1.3
 Homepage: http://starfighter.nongnu.org/
+Rules-Requires-Root: no
 
 Package: starfighter
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, starfighter-data (= ${source:Version})
 Description: 2D scrolling shooter game
  After decades of war one company, who had gained powerful supplying both
- sides with weaponary, steps forwards and crushes both warring factions
- in one swift movement. Using far superior weaponary and AI craft, the
+ sides with weaponry, steps forwards and crushes both warring factions
+ in one swift movement. Using far superior weaponry and AI craft, the
  company was completely unstoppable and now no one can stand in their
  way. Thousands began to perish under the iron fist of the company. The
  people cried out for a saviour, for someone to light this dark hour...
@@ -33,8 +34,8 @@
 Depends: ${misc:Depends}
 Description: 2D scrolling shooter game -- data files
  After decades of war one company, who had gained powerful supplying both
- sides with weaponary, steps forwards and crushes both warring factions
- in one swift movement. Using far superior weaponary and AI craft, the
+ sides with weaponry, steps forwards and crushes both warring factions
+ in one swift movement. Using far superior weaponry and AI craft, the
  company was completely unstoppable and now no one can stand in their
  way. Thousands began to perish under the iron fist of the company. The
  people cried out for a saviour, for someone to light this dark hour...

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh $@ --parallel
 
 override_dh_auto_build:
-	USEPACK=0 DATADIR=/usr/share/starfighter/ dh_auto_build
+	DATADIR=/usr/share/starfighter/ dh_auto_build
 
 override_dh_auto_install:
-	USEPACK=0 DATADIR=/usr/share/starfighter/ dh_auto_install
+	DATADIR=/usr/share/starfighter/ dh_auto_install

## starfighter 2.3.3

=== misc/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# misc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This file has been dedicated to the public domain, to the extent
# possible under applicable law, via CC0. See
# http://creativecommons.org/publicdomain/zero/1.0/ for more
# information. This file is offered as-is, without any warranty.


am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/starfighter
pkgincludedir = $(includedir)/starfighter
pkglibdir = $(libdir)/starfighter
pkglibexecdir = $(libexecdir)/starfighter
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = misc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man6dir = $(mandir)/man6
am__installdirs = "$(DESTDIR)$(man6dir)" "$(DESTDIR)$(desktopdir)" \
	"$(DESTDIR)$(icondir)"
NROFF = nroff
MANS = $(dist_man6_MANS)
DATA = $(desktop_DATA) $(icon_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(dist_man6_MANS) $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/layla/projects/starfighter/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/layla/projects/starfighter/missing autoconf
AUTOHEADER = ${SHELL} /home/layla/projects/starfighter/missing autoheader
AUTOMAKE = ${SHELL} /home/layla/projects/starfighter/missing automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lm 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/layla/projects/starfighter/missing makeinfo
MKDIR_P = /usr/bin/mkdir -p
OBJEXT = o
PACKAGE = starfighter
PACKAGE_BUGREPORT = diligentcircle@riseup.net
PACKAGE_NAME = Project: Starfighter
PACKAGE_STRING = Project: Starfighter 2.3.3
PACKAGE_TARNAME = starfighter
PACKAGE_URL = 
PACKAGE_VERSION = 2.3.3
PANGO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/fribidi -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
PANGO_LIBS = -lpango-1.0 -lgobject-2.0 -lglib-2.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
SDL_CFLAGS = -D_REENTRANT -I/usr/include/SDL2
SDL_LIBS = -lSDL2_image -lSDL2_mixer -lSDL2_ttf -lSDL2
SET_MAKE = 
SF_NOFONT = 
SF_RUN_IN_PLACE = 
SF_SCREEN_HEIGHT = 
SF_SCREEN_WIDTH = 
SF_WARN = 
SHELL = /bin/bash
STARFIGHTER_CPPFLAGS = -DVERSION=\"2.3.3\"
STARFIGHTER_LDADD = 
STRIP = 
VERSION = 2.3.3
abs_builddir = /home/layla/projects/starfighter/misc
abs_srcdir = /home/layla/projects/starfighter/misc
abs_top_builddir = /home/layla/projects/starfighter
abs_top_srcdir = /home/layla/projects/starfighter
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/layla/projects/starfighter/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
desktopdir = $(datarootdir)/applications
desktop_DATA = starfighter.desktop
icondir = $(datarootdir)/pixmaps
icon_DATA = starfighter.png
dist_man6_MANS = starfighter.6
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign misc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign misc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-man6: $(dist_man6_MANS)
	@$(NORMAL_INSTALL)
	@list1='$(dist_man6_MANS)'; \
	list2=''; \
	test -n "$(man6dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man6dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man6dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.6[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^6][0-9a-z]*$$,6,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man6dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man6dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man6dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man6dir)" || exit $$?; }; \
	done; }

uninstall-man6:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_man6_MANS)'; test -n "$(man6dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^6][0-9a-z]*$$,6,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man6dir)'; $(am__uninstall_files_from_dir)
install-desktopDATA: $(desktop_DATA)
	@$(NORMAL_INSTALL)
	@list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(desktopdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(desktopdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \

=== debian/changelog ===
starfighter (2.3.3-1) unstable; urgency=medium

  * New maintainer; thanks to Guus Sliepen for all your work! (Closes: #963930)
  * New upstream version. (Closes: #858796)
  * debian/clean: created file.
  * debian/control:
    - Added fonts-takao-gothic to Depends: line.
    - Added Vcs-fields.
    - Bumped Standards version to 4.5.1
    - Changed debhelper to debhelper compat and bumped version to 13.
    - Removed debian/compat file.
    - Updated Homepage field.
  * debian/copyright: updated copyright fields.
  * debian/not-installed: suppressing dh_missing messages for unnecessary files.
  * debian/patches:
    - Codebase has been rewritten, removing all patches.
    - Added 010_fix-autoconf-flags.patch to ensure 'bindnow' when linking
      binaries.
  * debian/rules:
    - Added autoreconf with override and removed --parallel.
    - Added DEB_BUILD_MAINT_OPTIONS with hardening=+all.
  * debian/starfighter.links: created link to font file from fonts-takao-gothic.
  * debian/upstream:
    - Created metadata file.
    - Updated signature-key.asc file.
  * debian/watch: updated to track correct URI.
  * debian/*.install: reconstructed both install files to account for
    rewritten source code.

 -- Francisco M Neto <fmneto@fmneto.com>  Thu, 27 Aug 2020 01:05:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: starfighter
 Section: games
 Priority: optional
-Maintainer: Guus Sliepen <guus@debian.org>
-Build-Depends: debhelper (>= 10), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev
-Standards-Version: 4.1.3
-Homepage: http://starfighter.nongnu.org/
+Maintainer: Francisco M Neto <fmneto@fmneto.com>
+Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev
+Standards-Version: 4.5.1
+Homepage: http://pr-starfighter.github.io/
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/fmneto-guest/starfighter
+Vcs-Git: https://salsa.debian.org/fmneto-guest/starfighter.git
 
 Package: starfighter
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, starfighter-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, starfighter-data (= ${source:Version}), fonts-takao-gothic (>= 00303.01-3)
 Description: 2D scrolling shooter game
  After decades of war one company, who had gained powerful supplying both
  sides with weaponry, steps forwards and crushes both warring factions

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DEB_BUILD_MAINT_OPTIONS = hardening= +all

%:
	dh $@

override_dh_autoreconf:
	./autogen.sh

#override_dh_auto_install:
#	DATADIR=/usr/share/starfighter/ dh_auto_install

=== debian/watch ===
version=4
opts=filenamemangle=s/.*@PACKAGE@@ANY_VERSION@-src@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.gz/,\
pgpsigurlmangle=s/@PACKAGE@@ANY_VERSION@-src\.tar\.gz/starfighter-$1-src\.tar\.gz\.sig/ \
  https://github.com/pr-starfighter/starfighter/releases/latest .*/@PACKAGE@@ANY_VERSION@-src\.tar\.gz

## starfighter 2.4

=== misc/Makefile ===
--- 
+++ 
@@ -194,10 +194,10 @@
 PACKAGE = starfighter
 PACKAGE_BUGREPORT = diligentcircle@riseup.net
 PACKAGE_NAME = Project: Starfighter
-PACKAGE_STRING = Project: Starfighter 2.3.3
+PACKAGE_STRING = Project: Starfighter 2.4
 PACKAGE_TARNAME = starfighter
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.3.3
+PACKAGE_VERSION = 2.4
 PANGO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/fribidi -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
 PANGO_LIBS = -lpango-1.0 -lgobject-2.0 -lglib-2.0
 PATH_SEPARATOR = :
@@ -208,15 +208,17 @@
 SDL_LIBS = -lSDL2_image -lSDL2_mixer -lSDL2_ttf -lSDL2
 SET_MAKE = 
 SF_NOFONT = 
+SF_OLD_MUSIC = 
 SF_RUN_IN_PLACE = 
 SF_SCREEN_HEIGHT = 
 SF_SCREEN_WIDTH = 
+SF_UNHARDEN = 
 SF_WARN = 
 SHELL = /bin/bash
-STARFIGHTER_CPPFLAGS = -DVERSION=\"2.3.3\"
-STARFIGHTER_LDADD = 
+STARFIGHTER_CPPFLAGS = -DVERSION=\"2.4\"
+STARFIGHTER_LDADD = -Wl,-z,now
 STRIP = 
-VERSION = 2.3.3
+VERSION = 2.4
 abs_builddir = /home/layla/projects/starfighter/misc
 abs_srcdir = /home/layla/projects/starfighter/misc
 abs_top_builddir = /home/layla/projects/starfighter
@@ -358,4 +360,3 @@
 	  echo "$$d$$p"; \
 	done | $(am__base_list) | \
 	while read files; do \
-	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \

=== debian/changelog ===
starfighter (2.4-1) unstable; urgency=medium

  * New upstream version: 2.4.
  * debian/control: Bumped Standards version to 4.6.1.
  * debian/source: created lintian-overrides file, to account for lintian
    false positive for very-long-line-length-in-source-file.
  * Removed patch 010_fix-autoconf-flags.patch; changes were incorporated
    by upstream.

 -- Francisco M Neto <fmneto@fmneto.com>  Thu, 25 Aug 2022 13:39:00 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Francisco M Neto <fmneto@fmneto.com>
 Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: http://pr-starfighter.github.io/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/fmneto-guest/starfighter

=== debian/watch ===
version=4
#opts="filenamemangle=s/.*@PACKAGE@@ANY_VERSION@-src@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.gz/, \
opts="pgpmode=auto" \
https://github.com/pr-starfighter/starfighter/releases/latest .*/@PACKAGE@@ANY_VERSION@-src\.tar\.gz
